import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Form, Row, Col, Input } from 'antd'
import './index.scss'

const { TextArea } = Input

class TabHandleForm extends Component {
  static propTpyes = {
    tab: PropTypes.object,       // 标签信息
    dict: PropTypes.object,      // 字典项
    inputSubmit: PropTypes.func  // input回车提交
  }

  componentDidMount () {
    try {
      let _form = document.getElementById('MenuName')

      if (_form && _form.select) {
        _form.select()
      }
    } catch (e) {
      console.warn('focus error！')
    }
  }

  handleConfirm = () => {
    // 表单提交时检查输入值是否正确
    return new Promise((resolve, reject) => {
      this.props.form.validateFieldsAndScroll((err, values) => {
        if (!err) {
          resolve(values)
        } else {
          reject(err)
        }
      })
    })
  }

  handleSubmit = (e) => {
    e.preventDefault()
    this.props.inputSubmit()
  }

  render() {
    const { getFieldDecorator } = this.props.form
    const formItemLayout = {
      labelCol: {
        xs: { span: 24 },
        sm: { span: 8 }
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 16 }
      }
    }
    return (
      <Form {...formItemLayout} className="tab-manage-form-field" id="tab-handle-form-box">
        <Row gutter={24}>
          <Col span={24}>
              <Form.Item label="标签名称">
                {getFieldDecorator('MenuName', {
                  initialValue: this.props.tab.MenuName || '',
                  rules: [
                    {
                      required: true,
                      message: this.props.dict['form.required.input'] + '标签名称!'
                    }
                  ]
                })(<Input placeholder="" autoComplete="off" onPressEnter={this.handleSubmit} />)}
              </Form.Item>
            </Col>
            <Col span={24}>
              <Form.Item label="标签参数">
                {getFieldDecorator('MenuNo', {
                  initialValue: this.props.tab.MenuNo || '',
                  rules: [
                    {
                      required: true,
                      message: this.props.dict['form.required.input'] + '标签参数!'
                    }
                  ]
                })(<Input placeholder="" autoComplete="off" onPressEnter={this.handleSubmit} />)}
              </Form.Item>
            </Col>
            <Col span={24}>
              <Form.Item label="备注">
                {getFieldDecorator('Remark', {
                  initialValue: this.props.tab.Remark || ''
                })(<TextArea autoSize={{ minRows: 2, maxRows: 6 }} />)}
              </Form.Item>
            </Col>
        </Row>
      </Form>
    )
  }
}

export default Form.create()(TabHandleForm)